#
# Conditional build:
%bcond_with	tests	# pytest tests

Summary:	The modular source code checker: pycodestyle, pyflakes and co.
Summary(pl.UTF-8):	Modularne narzędzie do sprawdzania kodu źródłowego: pycodestyle, pyflakes itp.
Name:		flake8
Version:	7.2.0
Release:	2
License:	MIT
Group:		Development/Tools
#Source0Download: https://pypi.org/simple/flake8/
Source0:	https://files.pythonhosted.org/packages/source/f/flake8/%{name}-%{version}.tar.gz
# Source0-md5:	5b0c69330b5cbdf639a33c91b896f7b1
URL:		https://gitlab.com/pycqa/flake8
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	rpm-pythonprov
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-setuptools >= 1:30
%if %{with tests}
BuildRequires:	python3-mccabe >= 0.6.0
BuildRequires:	python3-mccabe < 0.7.0
BuildRequires:	python3-pycodestyle >= 2.13.0
BuildRequires:	python3-pycodestyle < 2.14.0
BuildRequires:	python3-pyflakes >= 3.3.0
BuildRequires:	python3-pyflakes < 3.4.0
BuildRequires:	python3-pytest
BuildRequires:	sed >= 4.0
%endif
Requires:	python3-flake8 = %{version}-%{release}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The modular source code checker. It is a wrapper around these tools:
- PyFlakes
- pycodestyle
- Ned Batchelder's McCabe script

%description -l pl.UTF-8
Modularne narzędzie do sprawdzania kodu źródłowego. Jest to opakowanie
dla narzędzi:
- PyFlakes
- pycodestyle
- skrypt McCabe autorstwa Neda Batcheldera

%package -n python3-flake8
Summary:	The modular source code checker: pycodestyle, pyflakes and co
Summary(pl.UTF-8):	Modularne narzędzie do sprawdzania kodu źródłowego: pycodestyle, pyflakes itp.
Group:		Libraries/Python
Requires:	python3-mccabe >= 0.6.0
Requires:	python3-mccabe < 0.7.0
Requires:	python3-modules >= 1:3.4
Requires:	python3-pycodestyle >= 2.13.0
Requires:	python3-pycodestyle < 2.14.0
Requires:	python3-pyflakes >= 3.3.0
Requires:	python3-pyflakes < 3.4.0

%description -n python3-flake8
The modular source code checker. It is a wrapper around these tools:
- PyFlakes
- pycodestyle
- Ned Batchelder's McCabe script

%description -n python3-flake8 -l pl.UTF-8
Modularne narzędzie do sprawdzania kodu źródłowego. Jest to opakowanie
dla narzędzi:
- PyFlakes
- pycodestyle
- skrypt McCabe autorstwa Neda Batcheldera


%prep
%setup -q

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest -rw tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install
%{__mv} $RPM_BUILD_ROOT%{_bindir}/flake8{,-3}

ln -s flake-3 $RPM_BUILD_ROOT%{_bindir}/flake8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/flake8

%files -n python3-flake8
%defattr(644,root,root,755)
%doc LICENSE README.rst
%attr(755,root,root) %{_bindir}/flake8-3
%{py3_sitescriptdir}/flake8
%{py3_sitescriptdir}/flake8-%{version}-py*.egg-info
%changelog
* Mon Apr 07 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/flake8.git;a=log;h=master

* Mon Apr 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ae1389
- Rel 2; python3 only here. python 2 version is in python-flake8.spec. Updated pycodestyle/pyflakes deps.

* Sun Apr 06 2025 Jan Rękorajski <baggins@pld-linux.org> da06396
- up to 7.2.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 83b6443
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 7446cf0
- use patch -P

* Fri Apr 01 2022 Jan Rękorajski <baggins@pld-linux.org> 1ae4453
- Release 3 (by relup.sh)

* Fri Apr 01 2022 Jan Rękorajski <baggins@pld-linux.org> bde5aaa
- disable tests, broken at least on python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 194a8cf
- rebuild with python 3.10

* Tue Mar 15 2022 Jakub Bogusz <qboosh@pld-linux.org> e6703be
- updated to 3.9.2
- removed obsolete req patch

* Mon Mar 01 2021 Jan Palus <atler@pld-linux.org> 9c76640
- explicit runtime deps on python-{entrypoints,mccabe,pycodestyle,pyflakes}; rel 3

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> a712f07
- release 2 (by relup.sh)

* Sun Jan 12 2020 Jakub Bogusz <qboosh@pld-linux.org> 2fc1c08
- updated to 3.7.9
- added duplicate patch (fixes tests with python-flake8 already installed)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 74c2b4b
- rebuild with python 3.8
- release 2 (by relup.sh)

* Tue Oct 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 7b99a73
- added req patch: adjust entrypoints versions to be compatible with rpm dependency generators

* Tue Oct 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 1820387
- updated to 3.7.8
- removed outdated mock patch

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 34073ed
- updated to 3.5.0
- added -apidocs

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 975a3e6
- release 3 (by relup.sh)

* Mon Apr 17 2017 Jakub Bogusz <qboosh@pld-linux.org> d7cb1eb
- updated descriptions and dependencies
- added mock patch and sed substitution (use unittest.mock under python3)

* Sat Apr 15 2017 Jan Rękorajski <baggins@pld-linux.org> 972dfbb
- typo

* Sat Apr 15 2017 Jan Rękorajski <baggins@pld-linux.org> 5312367
- updated BRs
- rel 2

* Sat Apr 15 2017 Jan Rękorajski <baggins@pld-linux.org> 7db5e8a
- removed obsolete patch

